{% load static %}

<div class="limit-width lv">
	<div class="white-text font-2 nopadding"><em>CONTACT</em></div>
	<div class="card lh">
		<div class="flex-0">
			<img id="main-pic" src="{% static 'website/images/char.png' %}">
		</div>
		<div class="flex-1 lv nopadding">
			<div class="card-header">Charlie Koch</div>
			<hr />
			<div class="">
				<div class="entry-text">
					<p><em><strong>Cerrax</strong></em>&nbsp; is the moniker used by Charlie Koch to represent his work across many different disciplines of digital media and interactivity. Currently, Charlie is a Staff Software Engineer for Blackhawk Netowrk, where he maintains tools and workflows for their development pipeline and deployment operations.
				</div>
				<div class="font-2 lh center" ><em>RESUME</em> <div></div><a href="{% static 'website/files/CharlesKochResume.pdf' %}" target="_blank" download><button><strong>DOWNLOAD</strong> (PDF)</button></a></div>
				<div class="lv">

					<div class="collapse-toggle font-heavy font-1-5" data-collapse="education" data-group="resume">
						EDUCATION
					</div>
					<div class="collapse" id="education">
						<div class="collapse-content entry-text lv">
							<div class="nopadding lh center">
								<img class="resume-logo" src="{% static 'website/images/logos/pitt.png' %}">
								<div class="lv">
									<div class="nopadding font-heavy font-1-5">Bachelor's Degree in Computer Science &minus; University of Pittsburgh</div>
									<div class="nopadding font">graduated <em>Magna Cum Laude</em> in December 2014</div>
								</div>
							</div>
						</div>
					</div>

					<div class="collapse-toggle font-heavy font-1-5" data-collapse="skills" data-group="resume">
						SKILLS
					</div>
					<div class="collapse" id="skills">
						<div class="collapse-content entry-text lv">
							<ul class="resume-text">
								<li><strong>Software Engineering</strong>
									<div class="lh center wrap">
										<img class="mini-logos" src="{% static 'website/images/logos/software/apple.png' %}" />
										<img class="mini-logos" src="{% static 'website/images/logos/software/windows.png' %}" />
										<img class="mini-logos" src="{% static 'website/images/logos/software/linux.png' %}" />
										<img class="mini-logos" src="{% static 'website/images/logos/software/python.png' %}" />
										<img class="mini-logos" src="{% static 'website/images/logos/software/django.png' %}" />
										<img class="mini-logos" src="{% static 'website/images/logos/software/vuejs.png' %}" />
										<img class="mini-logos" src="{% static 'website/images/logos/software/java.jpg' %}" />
										<img class="mini-logos" src="{% static 'website/images/logos/software/spring.png' %}" />
										<img class="mini-logos" src="{% static 'website/images/logos/software/hibernate.jpg' %}" />
										<img class="mini-logos" src="{% static 'website/images/logos/software/sql.png' %}" />
										<img class="mini-logos" src="{% static 'website/images/logos/software/html.jpg' %}" />
										<img class="mini-logos" src="{% static 'website/images/logos/software/jquery.gif' %}" />
										<img class="mini-logos" src="{% static 'website/images/logos/software/polymer.png' %}" />
										<img class="mini-logos" src="{% static 'website/images/logos/software/cpp.png' %}" />
									</div>
								</li>
								<li><strong>Graphic & Web Design</strong>
									<ul>
										<li>Vector & raster graphics</li>
										<li>Page layout & website design</li>
										<li>Web application design & programming</li>
									</ul>
								</li>
								<li><strong>Music & Sound Production</strong>
									<ul>
										<li>Music composition & arrangement</li>
										<li>Studio performance recording</li>
										<li>Digital mixing and mastering</li>
									</ul>
								</li>
								<li><strong>Digital Video Production</strong>
									<ul>
										<li>Video and production equipment setup</li>
										<li>Digital video editing and effects</li>

									</ul>
								</li>
								<li><strong>Team Work & Leadership</strong>
									<ul>
										<li>Collaboration in various disciplines: Music and video production, software design, system deployment</li>
										<li>Management of small design & engineering teams</li>
										<li>Employee training and documentation management</li>

									</ul>
								</li>
							</ul>
						</div>
					</div>

					<div class="collapse-toggle font-heavy font-1-5" data-collapse="work" data-group="resume">
						WORK EXPERIENCE
					</div>
					<div class="collapse" id="work">
						<div class="collapse-content entry-text lv">

							<div class="nopadding lh center">
								<img class="resume-logo" src="{% static 'website/images/logos/bhn.jpg' %}">
								<div class="lv">
									<div class="nopadding font-heavy font-1-5">Staff Software Engineer &minus; Blackhawk Network</div>
									<div class="nopadding font">November 2022 - Present</div>
								</div>
							</div>
							<hr />
							<ul class="resume-text">
								<li><strong>Design and modify development tools, CI/CD piplines, and business infrastructure for development tasks</strong>
									<ul>
										<li>Establish good development patterns by providing templates for common project types and languages</li>
										<li>Provide clear instructions for the use of development tools via comprehensive documentation</li>
										<li>Build and maintain workflows that automatically build, test, and deploy repos to Amazon Web Services </li>
										<li>Maintain and iterate the CI/CD pipeline and infrastructure with necessary features and quality-of-life improvements</li>
									</ul>
								</li>
								<li><strong>Implement in-house applications which improve overall development monitoring and use</strong>
									<ul>
										<li>Provide asynchronous, cloud-based solutions which integrate many different tools together in a single UI</li>
										<li>Streamline development, testing, and deployment tasks with automation so that projects have a standardized process</li>
										<li>Present and demonstrate new features and modifications to audiences with a mix of technical and non-techical personnel</li>
									</ul>
								</li>
							</ul>
							<div></div>

							<div class="nopadding lh center">
								<img class="resume-logo" src="{% static 'website/images/logos/ml.jpg' %}">
								<div class="lv">
									<div class="nopadding font-heavy font-1-5">Senior Project Engineer &minus; Mountain Leverage</div>
									<div class="nopadding font">November 2021 - November 2022</div>
								</div>
							</div>
							<hr />
							<ul class="resume-text">
								<li><strong>Lead architect of the OpsWare Connect middleware solution</strong>
									<ul>
										<li>Manage a small team (4-6 developers) to develop, test, and continually improve the OpsWare Connect platform</li>
										<li>Research cutting-edge technologies and industry standards to create a powerful and stable product</li>
										<li>Full-stack development of a web application, backend server, and voice-directed application</li>
									</ul>
								<li><strong>All previous responsibilities at Speech Interface Design</strong> (company was acquired by Mountain Leverage in late 2021)</li>
							</ul>
							<div></div>

							<div class="nopadding lh center">
								<img class="resume-logo" src="{% static 'website/images/logos/sid.png' %}">
								<div class="lv">
									<div class="nopadding font-heavy font-1-5">Senior Project Engineer &minus; Speech Interface Design</div>
									<div class="nopadding font">January 2018 - November 2021</div>
								</div>
							</div>
							<hr />
							<ul class="resume-text">
								<li><strong>In addition to responsibilities as a Project Engineer:</strong>
									<ul>
										<li>Survey customer sites and meet potential customers to implement new systems and improve existing ones</li>
										<li>Identify project requirements and write design specification dcouments</li>
										<li>Provide leadership, mentoring, and technical expertise to other engineers</li>
										<li>Investigate different and emerging technologies in related areas</li>
									</ul>
								</li>
							</ul>
							<div></div>

							<div class="nopadding lh center">
								<img class="resume-logo" src="{% static 'website/images/logos/sid.png' %}">
								<div class="lv">
									<div class="nopadding font-heavy font-1-5">Project Engineer &minus; Speech Interface Design</div>
									<div class="nopadding font">November 2014 - December 2017</div>
								</div>
							</div>
							<hr />
							<ul class="resume-text">
								<li><strong>Design and modify software to interface between voice recognition systems and warehouse management systems</strong>
									<ul>
										<li>File-based and message-based data mapping in various formats (XML, CSV, flat files, etc.)</li>
										<li>Coordinate data and logic between voice-operated devices and servers</li>
										<li>Create and maintain relational database schemas and data</li>
										<li>Provide powerful and efficient UI for visual interaction with voice systems</li>
									</ul>
								</li>
								<li><strong>Create and maintain several in-house applications and tools used by clients, partners, and employees</strong>
									<ul>
										<li>Design, develop, and maintain data analytics application for client voice systems</li>
										<li>Script tools for partners and employees such as a log parsing/analysis tool and data generation tools</li>
										<li>Introduce new processes and tools such as code coverage and test-driven development</li>
									</ul>
								</li>
								<li><strong>Install and implement voice software systems at customer sites</strong>
									<ul>
										<li>Remote and on-site installations and implementations across the United States and Canada</li>
										<li>Coordinate with networking and other IT personnel as well as operational managers and site director</li>
									</ul>
								</li>
								<li><strong>Provide support and training to users of the voice systems</strong>
									<ul>
										<li>Patches, upgrades, troubleshooting and training on-site and remotely</li>
										<li>Lead on-site user acceptance testing and end user training on voice devices and software</li>
									</ul>
								</li>
							</ul>
							<div></div>

							<div class="nopadding lh center">
								<img class="resume-logo" src="{% static 'website/images/logos/pitt.png' %}">
								<div class="lv">
									<div class="nopadding font-heavy font-1-5">Technical Consultant &minus; University of Pittsburgh</div>
									<div class="nopadding font">August 2013 - November 2014</div>
								</div>
							</div>
							<hr />
							<ul class="resume-text">
								<li>Provide technical support and service to over 40,000 students, faculty, and staff</li>
								<li>Resolve software and networking issues on Windows, Mac OS X, Linux, iOS, and Android devices</li>
								<li>Establish relationships with customers and help educate them on proper maintenance</li>
								<li>Encourage teamwork and communication with coworkers to improve service and workplace</li>
							</ul>
							<div></div>

							<div class="nopadding lh center">
								<img class="resume-logo" src="{% static 'website/images/logos/pitt.png' %}">
								<div class="lv">
									<div class="nopadding font-heavy font-1-5">Computer Lab Consultant &minus; University of Pittsburgh</div>
									<div class="nopadding font">August 2012 - August 2013</div>
								</div>
							</div>
							<hr />
							<ul class="resume-text">
								<li>Maintain all printers, computers, and peripherals</li>
								<li>Assist students with use and troubleshooting of printers and lab equipment</li>
								<li>Advanced to Technical Consultant in 2013</li>
							</ul>

						</div>
					</div>

				</div>
			</div>
		</div>
	</div>
</div>